<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from lic.texi on 28 April 1999 -->

<TITLE>The Linear Inequality Calculator - Concept Index</TITLE>
<link href="lic_20.html" rel=Previous>
<link href="lic_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_20.html">previous</A>, next, last section, <A HREF="lic_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC21" HREF="lic_toc.html#TOC21">Concept Index</A></H1>
<P>
<H2>-</H2>
<DIR>
<LI><A HREF="lic_4.html#IDX20">-c</A>
<LI><A HREF="lic_4.html#IDX23">-h</A>
<LI><A HREF="lic_4.html#IDX22">-m</A>
</DIR>
<H2>/</H2>
<DIR>
<LI><A HREF="lic_4.html#IDX27">//</A>
</DIR>
<H2>a</H2>
<DIR>
<LI><A HREF="lic_3.html#IDX14">A Brief History of LIC</A>
<LI><A HREF="lic_11.html#IDX132">access, array</A>
<LI><A HREF="lic_11.html#IDX131">array access</A>
<LI><A HREF="lic_16.html#IDX181">array reshape</A>
</DIR>
<H2>b</H2>
<DIR>
<LI><A HREF="lic_8.html#IDX91">branch and bound</A>
</DIR>
<H2>c</H2>
<DIR>
<LI><A HREF="lic_19.html#IDX244">calculator example</A>
<LI><A HREF="lic_18.html#IDX187">calculator syntax</A>
<LI><A HREF="lic_8.html#IDX76">coefficients, symbolic</A>
<LI><A HREF="lic_13.html#IDX151">communication</A>, <A HREF="lic_14.html#IDX161">communication</A>, <A HREF="lic_15.html#IDX170">communication</A>
<LI><A HREF="lic_1.html#IDX6">compiler, shared memory</A>
<LI><A HREF="lic_18.html#IDX200">compose matrix</A>
<LI><A HREF="lic_12.html#IDX143">computation decomposition</A>, <A HREF="lic_13.html#IDX153">computation decomposition</A>
<LI><A HREF="lic_18.html#IDX205">create a set of inequalities</A>
<LI><A HREF="lic_18.html#IDX218">Create an identity matrix</A>
<LI><A HREF="lic_18.html#IDX194">create matrix</A>
<LI><A HREF="lic_10.html#IDX120">Creating a system and checking for solutions</A>
</DIR>
<H2>d</H2>
<DIR>
<LI><A HREF="lic_12.html#IDX142">data decomposition</A>
<LI><A HREF="lic_12.html#IDX141">data distribution</A>
<LI><A HREF="lic_16.html#IDX184">dependence</A>
<LI><A HREF="lic_11.html#IDX133">direction vector</A>
<LI><A HREF="lic_19.html#IDX252">divceil</A>, <A HREF="lic_19.html#IDX261">divceil</A>
<LI><A HREF="lic_19.html#IDX251">divfloor</A>, <A HREF="lic_19.html#IDX260">divfloor</A>
</DIR>
<H2>e</H2>
<DIR>
<LI><A HREF="lic_8.html#IDX108">eliminate redundant inequalities</A>
<LI><A HREF="lic_15.html#IDX172">exact data-flow analysis</A>
<LI><A HREF="lic_9.html#IDX117">example</A>, <A HREF="lic_9.html#IDX118">example</A>, <A HREF="lic_10.html#IDX119">example</A>, <A HREF="lic_11.html#IDX128">example</A>, <A HREF="lic_12.html#IDX139">example</A>, <A HREF="lic_13.html#IDX150">example</A>, <A HREF="lic_14.html#IDX159">example</A>, <A HREF="lic_15.html#IDX168">example</A>, <A HREF="lic_16.html#IDX180">example</A>
<LI><A HREF="lic_19.html#IDX245">example, calculator</A>
<LI><A HREF="lic_2.html#IDX13">examples</A>, <A HREF="lic_6.html#IDX37">examples</A>, <A HREF="lic_7.html#IDX48">examples</A>, <A HREF="lic_8.html#IDX70">examples</A>, <A HREF="lic_8.html#IDX77">examples</A>, <A HREF="lic_8.html#IDX80">examples</A>, <A HREF="lic_8.html#IDX112">examples</A>, <A HREF="lic_8.html#IDX115">examples</A>, <A HREF="lic_8.html#IDX116">examples</A>, <A HREF="lic_10.html#IDX125">examples</A>, <A HREF="lic_10.html#IDX126">examples</A>, <A HREF="lic_11.html#IDX127">examples</A>, <A HREF="lic_11.html#IDX136">examples</A>, <A HREF="lic_11.html#IDX137">examples</A>, <A HREF="lic_12.html#IDX138">examples</A>, <A HREF="lic_12.html#IDX147">examples</A>, <A HREF="lic_12.html#IDX148">examples</A>, <A HREF="lic_13.html#IDX149">examples</A>, <A HREF="lic_13.html#IDX156">examples</A>, <A HREF="lic_13.html#IDX157">examples</A>, <A HREF="lic_14.html#IDX158">examples</A>, <A HREF="lic_14.html#IDX165">examples</A>, <A HREF="lic_14.html#IDX166">examples</A>, <A HREF="lic_15.html#IDX167">examples</A>, <A HREF="lic_15.html#IDX177">examples</A>, <A HREF="lic_15.html#IDX178">examples</A>, <A HREF="lic_16.html#IDX179">examples</A>, <A HREF="lic_16.html#IDX185">examples</A>, <A HREF="lic_16.html#IDX186">examples</A>, <A HREF="lic_18.html#IDX193">examples</A>, <A HREF="lic_18.html#IDX199">examples</A>, <A HREF="lic_18.html#IDX215">examples</A>, <A HREF="lic_18.html#IDX216">examples</A>, <A HREF="lic_18.html#IDX217">examples</A>, <A HREF="lic_19.html#IDX243">examples</A>, <A HREF="lic_19.html#IDX248">examples</A>, <A HREF="lic_19.html#IDX256">examples</A>, <A HREF="lic_19.html#IDX257">examples</A>
</DIR>
<H2>f</H2>
<DIR>
<LI><A HREF="lic_10.html#IDX122">file, script</A>, <A HREF="lic_19.html#IDX247">file, script</A>
<LI><A HREF="lic_1.html#IDX10">files, script</A>
<LI><A HREF="lic_19.html#IDX253">for</A>, <A HREF="lic_19.html#IDX262">for</A>
<LI><A HREF="lic_16.html#IDX183">FORTRAN</A>
<LI><A HREF="lic_8.html#IDX83">Fourier-Motzkin</A>, <A HREF="lic_8.html#IDX90">Fourier-Motzkin</A>, <A HREF="lic_8.html#IDX98">Fourier-Motzkin</A>, <A HREF="lic_8.html#IDX102">Fourier-Motzkin</A>, <A HREF="lic_8.html#IDX106">Fourier-Motzkin</A>
<LI><A HREF="lic_18.html#IDX223">fourier-motzkin elimination</A>
</DIR>
<H2>h</H2>
<DIR>
<LI><A HREF="lic_4.html#IDX24">help</A>
<LI><A HREF="lic_8.html#IDX109">heuristics</A>
<LI><A HREF="lic_4.html#IDX16">How to Start Using LIC</A>
</DIR>
<H2>i</H2>
<DIR>
<LI><A HREF="lic_18.html#IDX219">identity matrix, creation of</A>
<LI><A HREF="lic_19.html#IDX254">if</A>, <A HREF="lic_19.html#IDX263">if</A>
<LI><A HREF="lic_7.html#IDX43">inequality variables</A>, <A HREF="lic_8.html#IDX67">inequality variables</A>
<LI><A HREF="lic_8.html#IDX88">integer solution</A>
<LI><A HREF="lic_7.html#IDX41">integer variables</A>, <A HREF="lic_8.html#IDX55">integer variables</A>
<LI><A HREF="lic_1.html#IDX2">interprocedural parallelizer</A>
<LI><A HREF="lic_1.html#IDX1">Introduction</A>
<LI><A HREF="lic_11.html#IDX129">iteration space</A>
</DIR>
<H2>l</H2>
<DIR>
<LI><A HREF="lic_15.html#IDX171">last write tree</A>
<LI><A HREF="lic_4.html#IDX19">lic -c</A>
<LI><A HREF="lic_4.html#IDX21">lic -m</A>
<LI><A HREF="lic_4.html#IDX17">LIC syntax</A>
<LI><A HREF="lic_2.html#IDX12">LIC, What is</A>
<LI><A HREF="lic_8.html#IDX71">linear inequalities with symbolic coefficients</A>, <A HREF="lic_12.html#IDX144">linear inequalities with symbolic coefficients</A>, <A HREF="lic_13.html#IDX154">linear inequalities with symbolic coefficients</A>, <A HREF="lic_14.html#IDX160">linear inequalities with symbolic coefficients</A>, <A HREF="lic_15.html#IDX169">linear inequalities with symbolic coefficients</A>
</DIR>
<H2>m</H2>
<DIR>
<LI><A HREF="lic_18.html#IDX201">matrix, compose</A>
<LI><A HREF="lic_18.html#IDX195">matrix, create</A>
<LI><A HREF="lic_19.html#IDX250">max</A>, <A HREF="lic_19.html#IDX259">max</A>
<LI><A HREF="lic_19.html#IDX249">min</A>, <A HREF="lic_19.html#IDX258">min</A>
</DIR>
<H2>n</H2>
<DIR>
<LI><A HREF="lic_13.html#IDX152">non-convex</A>
<LI><A HREF="lic_1.html#IDX8">notepad</A>
</DIR>
<H2>o</H2>
<DIR>
<LI><A HREF="lic_6.html#IDX36">overview</A>
<LI><A HREF="lic_1.html#IDX4">owner computes rule</A>, <A HREF="lic_12.html#IDX140">owner computes rule</A>
</DIR>
<H2>p</H2>
<DIR>
<LI><A HREF="lic_8.html#IDX99">pair-wise</A>, <A HREF="lic_8.html#IDX103">pair-wise</A>, <A HREF="lic_8.html#IDX107">pair-wise</A>
<LI><A HREF="lic_1.html#IDX7">paper-and-pencil method</A>
<LI><A HREF="lic_1.html#IDX3">parallelizer, interprocedural</A>
<LI><A HREF="lic_19.html#IDX255">proc</A>, <A HREF="lic_19.html#IDX264">proc</A>
<LI><A HREF="lic_15.html#IDX173">producer-consumer information</A>
<LI><A HREF="lic_8.html#IDX49">prototyping system syntax</A>
</DIR>
<H2>r</H2>
<DIR>
<LI><A HREF="lic_8.html#IDX81">real solution</A>
<LI><A HREF="lic_16.html#IDX182">reshape</A>
</DIR>
<H2>s</H2>
<DIR>
<LI><A HREF="lic_10.html#IDX121">script file</A>, <A HREF="lic_19.html#IDX246">script file</A>
<LI><A HREF="lic_1.html#IDX9">script files</A>
<LI><A HREF="lic_1.html#IDX5">shared memory compiler</A>
<LI><A HREF="lic_8.html#IDX89">solution, integer</A>
<LI><A HREF="lic_8.html#IDX82">solution, real</A>
<LI><A HREF="lic_11.html#IDX130">space, iteration</A>
<LI><A HREF="lic_7.html#IDX46">symbolic coefficients</A>
<LI><A HREF="lic_7.html#IDX47">symbolic coefficients within inequalities</A>, <A HREF="lic_8.html#IDX75">symbolic coefficients within inequalities</A>
<LI><A HREF="lic_18.html#IDX188">syntax, calculator</A>
<LI><A HREF="lic_4.html#IDX18">syntax, LIC</A>
<LI><A HREF="lic_8.html#IDX50">syntax, prototyping system</A>
</DIR>
<H2>t</H2>
<DIR>
<LI><A HREF="lic_4.html#IDX29">terminate session</A>
<LI><A HREF="lic_7.html#IDX38">types of variables</A>
</DIR>
<H2>v</H2>
<DIR>
<LI><A HREF="lic_7.html#IDX40">variables</A>
<LI><A HREF="lic_7.html#IDX45">variables within inequalities</A>, <A HREF="lic_8.html#IDX69">variables within inequalities</A>
<LI><A HREF="lic_7.html#IDX44">variables, inequality</A>, <A HREF="lic_8.html#IDX68">variables, inequality</A>
<LI><A HREF="lic_7.html#IDX42">variables, integer</A>, <A HREF="lic_8.html#IDX56">variables, integer</A>
<LI><A HREF="lic_7.html#IDX39">variables, types of</A>
<LI><A HREF="lic_11.html#IDX134">vector, direction</A>
</DIR>
<H2>w</H2>
<DIR>
<LI><A HREF="lic_2.html#IDX11">What is LIC?</A>
</DIR>
<H2>y</H2>
<DIR>
<LI><A HREF="lic_3.html#IDX15">YACC</A>
</DIR>

</P>
<P><HR><P>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_20.html">previous</A>, next, last section, <A HREF="lic_toc.html">table of contents</A>.
</BODY>
</HTML>
